商談音声を一覧取得
curl --request GET \
--url https://api.strixai.jp/v1/meeting-records/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strixai.jp/v1/meeting-records/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strixai.jp/v1/meeting-records/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.strixai.jp/v1/meeting-records/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.strixai.jp/v1/meeting-records/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.strixai.jp/v1/meeting-records/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.strixai.jp/v1/meeting-records/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "Mr7XkQpYz3Lh9vMs2N",
"properties": {
"name": "株式会社サンプル 初回商談",
"source_type": "teams",
"status": "registered",
"transcription_status": "completed",
"visibility": "public",
"deal_id": "Rb7XkQpYz3Lh9vMs2N",
"genre": "初回商談",
"assignee_ids": [
"Ub3MqTzW5Ly8Nc1KsP"
],
"participants": "山田, 佐藤",
"scheduled_start_time": "2026-09-01T05:00:00Z",
"actual_start_time": "2026-09-01T05:02:10Z",
"actual_end_time": "2026-09-01T05:58:40Z",
"duration_seconds": 3390.5,
"created_by_id": "Us7XkQpYz3Lh9vMs2N",
"meeting_log_ids": [
"Ml4aB9xY2zKt7Qw1Pn"
],
"contact_activity_ids": []
},
"created_at": "2026-09-01T05:00:00Z",
"updated_at": "2026-09-01T06:10:00Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}Meeting Records
商談音声を一覧取得
組織内の商談音声をカーソルページネーションで返す。updated_after で増分取得可能。
文字起こし(transcript_text)と AI 要約(summary)は含まれない。
必要なレコードを GET /v1/meeting-records/{record_id}/ で個別に取得する。
updated_at は録音の作成・状態遷移・文字起こし完了・取引/ジャンル等の編集で進む。
AI 要約(summary)の生成・再生成では進まない。
GET
/
v1
/
meeting-records
/
商談音声を一覧取得
curl --request GET \
--url https://api.strixai.jp/v1/meeting-records/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strixai.jp/v1/meeting-records/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strixai.jp/v1/meeting-records/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.strixai.jp/v1/meeting-records/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.strixai.jp/v1/meeting-records/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.strixai.jp/v1/meeting-records/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.strixai.jp/v1/meeting-records/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "Mr7XkQpYz3Lh9vMs2N",
"properties": {
"name": "株式会社サンプル 初回商談",
"source_type": "teams",
"status": "registered",
"transcription_status": "completed",
"visibility": "public",
"deal_id": "Rb7XkQpYz3Lh9vMs2N",
"genre": "初回商談",
"assignee_ids": [
"Ub3MqTzW5Ly8Nc1KsP"
],
"participants": "山田, 佐藤",
"scheduled_start_time": "2026-09-01T05:00:00Z",
"actual_start_time": "2026-09-01T05:02:10Z",
"actual_end_time": "2026-09-01T05:58:40Z",
"duration_seconds": 3390.5,
"created_by_id": "Us7XkQpYz3Lh9vMs2N",
"meeting_log_ids": [
"Ml4aB9xY2zKt7Qw1Pn"
],
"contact_activity_ids": []
},
"created_at": "2026-09-01T05:00:00Z",
"updated_at": "2026-09-01T06:10:00Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}